Subject: Taxonomy (was Re: [p2p-sip] Protocol Choice)

From: RoyR at saic-abingdon.com (Roy, Radhika (AEAD))
Date: Tue Sep 20 11:03:05 2005

Folks:

This is a good paper sent by Henry.

We may need this kind of p2p architecture when the large-scale scalable
p2p networks are needed.

It appears that there as two steps as follows:

1. p2p-SIP protocol within the peers (i.e. flat peers).
2. p2p-SIP protocol among the hierarchical p2p system.

The p2p-SIP framework may need to address both cases while our protocol
development may be focused for step 1.

Comments? Suggestions?

BR/Radhika

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, September 20, 2005 7:58 AM
To: 'David A. Bryan'
Cc: Roy, Radhika (AEAD); 'Brijesh Kumar'; 'Dean Willis';
[email-masked]; 'Johnston, Alan'; 'Stastny Richard';
'Tschofenig, Hannes'
Subject: RE: Taxonomy (was Re: [p2p-sip] Protocol Choice)

I am not sure if you have all seen the excellent paper on hierarchical
P2P:

http://cis.poly.edu/~ross/papers/HierarchicalP2P.pdf 

This my be added to the P2P SIP topics and also to the reading list on
the
p2psip.org web site.

Thanks, Henry

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
David
A. Bryan
Sent: Friday, September 16, 2005 10:02 AM
To: [email-masked]
Cc: [email-masked]; Brijesh Kumar; Dean Willis;
[email-masked]; Johnston, Alan; Stastny Richard; Tschofenig,
Hannes
Subject: Taxonomy (was Re: [p2p-sip] Protocol Choice)

On 9/15/05, Henry Sinnreich <[email-masked]> wrote:

> All I am saying, these are options that need to investigated and
discussed,
> beyond an e-mail exchange here, where not all the authors of this work
may
> have seen the e-mails. I would be interested to see first some
taxonomy
and
> framework, instead of arguing on email.
> 
> My two cents,
> 
> Thanks, Henry

Hello all,

I agree with Henry that we should talk a bit about taxonomy here. We
have (I didn't even try to fill it all in, just wanted to list some of
the items, hopefully others on the list will fill in more details) :

0 Do we need P2P SIP?
    a yes
    b no, no need
    c no, use dynamic DNS for similar function
1 Applications of P2P in SIP 
    a using P2P for UAs
    b using P2P between a cluster of proxies (or mini proxy adaptors),
pure SIP to the UA
    c load balancing servers, otherwise conventional SIP
2 Mechanisms for conveying P2P information
    a SIP messages
    b Non-sip messages
3 Different approaches to hierarchy 
    a P2P mechanisms that do hierarchy explicitly
    b Using adaptors (gateways?) between different P2P realms
    c DNS between realms
4 P2P Protocol choice
    a DHT/CAN approaches
        i Chord or Chord-like
        ii Pastry
        iii Tapestry
        iv CAN
    b Broadcast/Flood based techniques
    c Social based
        i SPROUT

So for example the draft I submitted is a (1a, 2a, 3b (sort of, I only
mention it in passing), 4a(i) (only because I thought Chord is easiest
to understand, not necessarily the best solution)) approach (wow, that
sounds like a lawyer wrote it...and I hope all those parenthesis are
balanced ;) )

I think it might be a worthwhile exercise to flesh out the
option/taxonomy chart a bit (what other parameters (1/2/3) are on the
space? What other options are there within each parameter (a/b/c)? If
we get the options fleshed out a bit, we'll be in a better position to
discuss what is important and where we may want to take this work. Can
others expand on this, either with more parameters or other options
for each parameter?

As an aside, obviously we can also have sub-categories too -- under
2a, I have heard a lot of discussion about if REGISTER, PUBLISH, or
some new SIP message is the right mechanism, and once you choose the
message, you can debate how to represent information about new nodes
(what headers etc.)

David